máy bơm nước hỏa tiễn công ty in ấn https://duan-knparadise.com/ Bơm nước hỏa tiễn bóp da nam Túi nilon PP cong ty in bieu mau
Diễn đàn của các kỹ sư kết cấu Việt Nam - View Single Post - Vẽ hình chữ nhật với VBA (trong Cad)
View Single Post
Old 21-11-2007   #2
ThangCoi
Thành viên nhiệt huyết
 
ThangCoi's Avatar
 
Tham gia ngày: Mar 2006
Nơi Cư Ngụ: Không cố định
Bài gởi: 603
Thanks: 56
Thanked 279 Times in 104 Posts
Send a message via Yahoo to ThangCoi
Default Ðề: Vẽ hình chữ nhật với VBA (trong Cad)

Trích:
Nguyên văn bởi AutumnHeart_1982
Cho em hỏi các bác cao thủ, làm thế nào để vẽ được hình chữ nhật trong Cad với VBA (không dùng lệnh sendcommand), em nghiên cứu mãi mà chưa ra. Xin các cao thủ chỉ dùm.
Vẽ Polyline thay cho hình chữ nhật kích thước là 200x100
Private Sub veChuNhat()
Dim Rectang(0 To 7) As Double
Dim Pline As AcadLWPolyline
Dim BasePoint As Variant
BasePoint = ThisDrawing.Utility.GetPoint(, vbCrLf & "Diem chen:")
Rectang(0) = BasePoint(0)
Rectang(1) = BasePoint(1)
Rectang(2) = BasePoint(0)
Rectang(3) = BasePoint(1) + 100
Rectang(4) = BasePoint(0) + 200
Rectang(5) = BasePoint(1) + 100
Rectang(6) = BasePoint(0) + 200
Rectang(7) = BasePoint(1)
Set Pline = ThisDrawing.ModelSpace.AddLightWeightPolyline(Rectang)
Pline.Closed = True
End Sub
ThangCoi vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn